if IsAddOnLoaded("FuBar") then


local tablet = AceLibrary("Tablet-2.0")
local L = AceLibrary("AceLocale-2.0"):new("FuBar_IziLifeTapFu")

IziLifeTapFu = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceConsole-2.0", "AceDB-2.0", "FuBarPlugin-2.0")

IziLifeTapFu:RegisterDB("IziLifeTapFuDB")

IziLifeTapFu.version = "2.0."
IziLifeTapFu.date = "2006-08-06"
IziLifeTapFu.hasIcon = "Interface\\Icons\\Spell_Shadow_BurningSpirit"
IziLifeTapFu.defaultPosition = 'RIGHT'

	
function IziLifeTapFu:OnEnable()
	iltVis=false
	ilt_UpdateFrame()		
end

function IziLifeTapFu:OnTextUpdate()
	if (iltMode == "PvP") then
		self:SetText("PvP")
	else
		self:SetText("PvE")
	end
end
	
function IziLifeTapFu:OnClick()
	if (iltMode=="PvP") then
		iltMode="PvE"
		ilt_UpdateFrame ()
	else
		iltMode="PvP"
		ilt_UpdateFrame ()
	end
	self:UpdateText()
end

function IziLifeTapFu:OnTooltipUpdate()
	tablet:AddCategory(
		'text', "IziLifeTap",
		'columns', 1,
		'child_textR', 1,
		'child_textG', 1,
		'child_textB', 0,
		'children', function()
			tablet:AddLine(
				'text', "for FuBar"
			)
		end
		)
	tablet:SetHint("Click to swap between PvE & PvP modes")
end

end